# PASNIPAddress Class Reference

A descendant of PASNObject which is an IP address type. More...

`#include <pasn.h>`

Inheritance diagram for PASNIPAddress:

List of all members.

## Public Member Functions

| PASNIPAddress (const PIPSocket::Address &addr)
| PASNIPAddress (const PString &str)
| PASNIPAddress (const PBYTEArray &buffer)
| PASNIPAddress (const PBYTEArray &buffer, PINDEX &ptr)
PASNObject::ASNType | GetType () const
| Return a value of type enum ASNType which indicates the type of the object.
void | Encode (PBYTEArray &buffer)
| Virtual function used to encode the object into ASN format.
PString | GetString () const
| Return the value of the object as a PString.
PString | GetTypeAsString () const
| Return a string giving the type of the object.
PObject * | Clone () const
| Virtual function used to duplicate objects.
PIPSocket::Address | GetIPAddress () const
| Return the value of the object as an IPAddress.

## Detailed Description

A descendant of PASNObject which is an IP address type.

## Constructor & Destructor Documentation

PASNIPAddress::PASNIPAddress | ( | const PIPSocket::Address & | addr | ) | `[inline]`

PASNIPAddress::PASNIPAddress | ( | const PString & | str | ) |

PASNIPAddress::PASNIPAddress | ( | const PBYTEArray & | buffer | ) | `[inline]`

PASNIPAddress::PASNIPAddress | ( | const PBYTEArray & | buffer,
|  | PINDEX & | ptr |
| ) |  |  | `[inline]`

## Member Function Documentation

PObject* PASNIPAddress::Clone | ( |  | ) | const`[inline, virtual]`

Virtual function used to duplicate objects.

Reimplemented from PASNString.

void PASNIPAddress::Encode | ( | PBYTEArray & | buffer | ) | `[inline, virtual]`

Virtual function used to encode the object into ASN format.

Reimplemented from PASNString.

PIPSocket::Address PASNIPAddress::GetIPAddress | ( |  | ) | const`[virtual]`

Return the value of the object as an IPAddress.

This function will assert if the object is not a descendant of PASNIPAddress.

Reimplemented from PASNObject.

PString PASNIPAddress::GetString | ( |  | ) | const`[virtual]`

Return the value of the object as a PString.

This function can be use for all ASN object types

Reimplemented from PASNString.

PASNObject::ASNType PASNIPAddress::GetType | ( |  | ) | const`[inline, virtual]`

Return a value of type enum ASNType which indicates the type of the object.

Reimplemented from PASNString.

PString PASNIPAddress::GetTypeAsString | ( |  | ) | const`[virtual]`

Return a string giving the type of the object.

Reimplemented from PASNString.

The documentation for this class was generated from the following file:

- pasn.h